#88 terrible noise output using esound

important
closed-wont-fix
Via Audio (17)
5
2002-08-09
2002-06-21
Anonymous
No

I have a Sony VAIO laptop with an onboard sound card
using this driver.

I was always wondering why esound was making terrible
noise when using it until I tried launching esd as
standalone. By default, RedHat does not start a daemon
esd process in the background, and thus gets executed
with -nobeeps by a requesting process. However, when I
launched it standalone, the beeps sounded and
afterwards, all sounds played through Esound were
crystal clear!!

In the source code of esd.c main(), after the beep
loop, there is a pause. So somehow, the via82cxxx
driver does not like to be paused right after being opened.

Putting a esd_audio_write( NULL, 0 );

right before
/* pause the sound output */
esd_audio_pause();

fixes the problem!!

this patch has been added to the CVS tree of esound.
last version without this patch is 0.2.27

but it is still a problem with the driver...

Here is the output of the diag tool when esound is
making noise

via-audio-diag.c:v1.00 05/06/2000 Jeff Garzik
(jgarzik@mandrakesoft.com)
Index #1: Found a via 686a audio adapter at 0x1000.
AC97 RESET = 0x0410 (1040)
AC97 MASTER_VOL_STEREO = 0x0303 (771)
AC97 HEADPHONE_VOL = 0x0000 (0)
AC97 MASTER_VOL_MONO = 0x0015 (21)
AC97 MASTER_TONE = 0x0000 (0)
AC97 PCBEEP_VOL = 0x000A (10)
AC97 PHONE_VOL = 0x000A (10)
AC97 MIC_VOL = 0x8000 (32768)
AC97 LINEIN_VOL = 0x0A0A (2570)
AC97 CD_VOL = 0x0000 (0)
AC97 VIDEO_VOL = 0x0A0A (2570)
AC97 AUX_VOL = 0x0A0A (2570)
AC97 PCMOUT_VOL = 0x0C0C (3084)
AC97 RECORD_SELECT = 0x0000 (0)
AC97 RECORD_GAIN = 0x0A0A (2570)
AC97 RECORD_GAIN_MIC = 0x0000 (0)
AC97 GENERAL_PURPOSE = 0x0000 (0)
AC97 3D_CONTROL = 0x0000 (0)
AC97 MODEM_RATE = 0x0000 (0)
AC97 POWER_CONTROL = 0x000F (15)
AC97 EXTENDED_ID = 0x0001 (1)
AC97 EXTENDED_STATUS = 0x0001 (1)
AC97 PCM_FRONT_DAC_RATE = 0xAC44 (44100)
AC97 PCM_SURR_DAC_RATE = 0x0000 (0)
AC97 PCM_LFE_DAC_RATE = 0x0000 (0)
AC97 PCM_LR_ADC_RATE = 0xBB80 (48000)
AC97 PCM_MIC_ADC_RATE = 0x0000 (0)
AC97 CENTER_LFE_MASTER = 0x0000 (0)
AC97 SURROUND_MASTER = 0x0000 (0)
AC97 RESERVED_3A = 0x0000 (0)
SGD Playback : 80 00 B7 00000008 0000BF50
SGD Record : 00 00 00 00000000 00000000
SGD FM : 00 00 00 00000000 00000000
SGD Modem Playback : 00 00 00 00000000 00000000
SGD Modem Record : 00 00 00 00000000 00000000
SGD reg 0x80 = 0x00BA0000
SGD reg 0x84 = 0x00001000
SGD reg 0x88 = 0x00000030
SGD reg 0x8C = 0x00000000
PCI reg 0x10 = 0xF8000008
PCI reg 0x3C = 0x00
PCI reg 0x40 = 0x00
PCI reg 0x41 = 0x00
PCI reg 0x42 = 0x00
PCI reg 0x43 = 0x00
PCI reg 0x44 = 0x00
PCI reg 0x48 = 0x00

and I am attaching the output of dmesg after stopping
esound

hope it can squash a bug somewhere :) thx

Discussion

  • Nobody/Anonymous

    Logged In: NO

    It seems I cannot attach files... and where is my e-mail
    logged?? Here is the output of dmesg

    red new driver usb_mouse
    input0: Logitech USB Mouse on usb1:2.0
    usbmouse.c: v1.6:USB HID Boot Protocol mouse driver
    usb.c: registered new driver hiddev
    usb.c: registered new driver hid
    hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
    hid-core.c: USB HID support drivers
    mice: PS/2 mouse device common for all mice
    HPFS: filesystem error: improperly stopped; remounting read-only
    ide-floppy driver 0.99.newide
    hdc: ATAPI 24X DVD-ROM drive, 512kB Cache, UDMA(33)
    Uniform CD-ROM driver Revision: 3.12
    hdc: DMA disabled
    parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
    parport_pc: Via 686A parallel port: io=0x378
    8139too Fast Ethernet driver 0.9.24
    PCI: Assigned IRQ 10 for device 00:10.0
    IRQ routing conflict for 00:07.5, have irq 5, want irq 10
    IRQ routing conflict for 00:07.6, have irq 5, want irq 10
    PCI: Sharing IRQ 10 with 00:0a.1
    PCI: Setting latency timer of device 00:10.0 to 64
    eth0: RealTek RTL8139 Fast Ethernet at 0xc88aa800,
    08:00:46:1c:e4:a5, IRQ 10
    eth0: Identified 8139 chip type 'RTL-8139C'
    eth0: Setting half-duplex based on auto-negotiated partner
    ability 0000.
    Linux Kernel Card Services 3.1.22
    options: [pci] [cardbus] [pm]
    PCI: Assigned IRQ 9 for device 00:0a.0
    PCI: Found IRQ 10 for device 00:0a.1
    IRQ routing conflict for 00:07.5, have irq 5, want irq 10
    IRQ routing conflict for 00:07.6, have irq 5, want irq 10
    PCI: Sharing IRQ 10 with 00:10.0
    Yenta IRQ list 0808, PCI irq9
    Socket status: 30000006
    Yenta IRQ list 0808, PCI irq10
    Socket status: 30000006
    cs: IO port probe 0x0c00-0x0cff: clean.
    cs: IO port probe 0x0100-0x04ff: excluding 0x378-0x37f
    0x4d0-0x4d7
    cs: IO port probe 0x0a00-0x0aff: clean.
    /dev/vmmon: Module vmmon: registered with major=10 minor=165
    tag=$Name: build-1790 $
    /dev/vmmon: Module vmmon: initialized
    parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
    parport_pc: Via 686A parallel port: io=0x378
    /dev/vmnet: open called by PID 1017 (vmnet-bridge)
    /dev/vmnet: hub 0 does not exist, allocating memory.
    /dev/vmnet: port on hub 0 successfully opened
    bridge-eth0: up
    bridge-eth0: attached
    /dev/vmnet: open called by PID 1035 (vmnet-natd)
    /dev/vmnet: hub 8 does not exist, allocating memory.
    /dev/vmnet: port on hub 8 successfully opened
    /dev/vmnet: open called by PID 1420 (vmnet-netifup)
    /dev/vmnet: port on hub 8 successfully opened
    /dev/vmnet: open called by PID 1442 (vmnet-dhcpd)
    /dev/vmnet: port on hub 8 successfully opened
    init_via82cxxx_audio: ENTER
    via_init_one: ENTER
    Via 686a audio driver 1.9.1
    PCI: Found IRQ 10 for device 00:07.5
    IRQ routing conflict for 00:07.5, have irq 5, want irq 10
    IRQ routing conflict for 00:07.6, have irq 5, want irq 10
    PCI: Sharing IRQ 10 with 00:0a.1
    PCI: Sharing IRQ 10 with 00:10.0
    via_ac97_init: ENTER
    via_ac97_reset: ENTER
    via_ac97_reset: PCI config: 05 C1 00 1C 40 01
    via_ac97_reset: regs==00 00 00 00000000 00000000 000A0006
    00000000
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_reset: EXIT, returning 0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_wait_idle: ENTER/EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x2000410, retval=0x410
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x23c0000, retval=0x0
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x27c4144, retval=0x4144
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x27e5348, retval=0x5348
    ac97_codec: AC97 Audio codec, id: 0x4144:0x5348 (Analog
    Devices AD1881A)
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x2000410, retval=0x410
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x2022020, retval=0x2020
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22a0001, retval=0x1
    via_ac97_init: EXIT, returning 0
    via_dsp_init: ENTER
    via_stop_everything: ENTER
    via_stop_everything: EXIT
    via_dsp_init: EXIT, returning 0
    via_interrupt_init: ENTER
    via_interrupt_init: EXIT, returning 0
    via82cxxx: board #1 at 0x1000, IRQ 5
    via_init_one: EXIT, returning 0
    init_via82cxxx_audio: EXIT, returning 0
    via_mixer_open: ENTER
    via_mixer_open: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_open: ENTER
    via_mixer_open: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_dsp_open: ENTER, minor=3, file->f_mode=0x2
    via_dsp_open: dev_dsp = 3, minor = 3, assn = 0
    via_dsp_open: file->f_mode == 0x2
    via_chan_init: ENTER
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0x30, reset=yes
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0x87, reg = 0x87
    via_chan_init: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0x87, reset=yes
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0x87, reg = 0x87
    via_set_rate: ENTER, rate = 8000
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226000f, retval=0xf
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226020d, retval=0x20d
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22c1f40, retval=0x1f40
    via_set_rate: EXIT, returning rate 8000 Hz
    via_dsp_open: EXIT, returning 0
    via_dsp_ioctl: DSP_SETFRAGMENT, val==16777224
    via_chan_set_buffering: ENTER
    via_chan_set_buffering: using user values 256 256
    via_chan_set_buffering: EXIT
    via_dsp_ioctl: SNDCTL_DSP_SETFRAGMENT (fragshift==0x0008
    (8), maxfrags==0x0100 (256))
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_SETFMT, val==16
    via_chan_set_fmt: ENTER, val=AFMT_S16_LE
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0xA7, reset=no
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0xA7, reg = 0xA7
    via_chan_set_fmt: EXIT
    via_dsp_ioctl: SETFMT EXIT, returning 16
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_GETFMTS, EXIT, returning AFMT U8|S16_LE
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_STEREO, val==1
    via_chan_set_stereo: ENTER, channels = 2
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0xB7, reset=no
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0xB7, reg = 0xB7
    via_chan_set_stereo: EXIT, returning 2
    via_dsp_ioctl: STEREO EXIT, returning 1
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_SPEED, val==44100
    via_chan_set_speed: ENTER, requested rate = 44100
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_set_rate: ENTER, rate = 44100
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226000d, retval=0xd
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226020d, retval=0x20d
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22cac44, retval=0xac44
    via_set_rate: EXIT, returning rate 44100 Hz
    via_chan_set_speed: EXIT, returning 44100
    via_dsp_ioctl: SPEED EXIT, returning 44100
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_POST
    via_chan_maybe_start: starting channel PCM-OUT
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_POST
    via_dsp_ioctl: EXIT, returning 0
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_dsp_release: ENTER
    via_dsp_drain_playback: ENTER, nonblock = 0
    via_dsp_drain_playback: EXIT, returning 0
    via_chan_free: ENTER
    via_chan_free: EXIT
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_dsp_release: EXIT, returning 0

     
  • Nobody/Anonymous

    Logged In: NO

    It seems I cannot attach files... and where is my e-mail
    logged?? Here is the output of dmesg

    red new driver usb_mouse
    input0: Logitech USB Mouse on usb1:2.0
    usbmouse.c: v1.6:USB HID Boot Protocol mouse driver
    usb.c: registered new driver hiddev
    usb.c: registered new driver hid
    hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
    hid-core.c: USB HID support drivers
    mice: PS/2 mouse device common for all mice
    HPFS: filesystem error: improperly stopped; remounting read-only
    ide-floppy driver 0.99.newide
    hdc: ATAPI 24X DVD-ROM drive, 512kB Cache, UDMA(33)
    Uniform CD-ROM driver Revision: 3.12
    hdc: DMA disabled
    parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
    parport_pc: Via 686A parallel port: io=0x378
    8139too Fast Ethernet driver 0.9.24
    PCI: Assigned IRQ 10 for device 00:10.0
    IRQ routing conflict for 00:07.5, have irq 5, want irq 10
    IRQ routing conflict for 00:07.6, have irq 5, want irq 10
    PCI: Sharing IRQ 10 with 00:0a.1
    PCI: Setting latency timer of device 00:10.0 to 64
    eth0: RealTek RTL8139 Fast Ethernet at 0xc88aa800,
    08:00:46:1c:e4:a5, IRQ 10
    eth0: Identified 8139 chip type 'RTL-8139C'
    eth0: Setting half-duplex based on auto-negotiated partner
    ability 0000.
    Linux Kernel Card Services 3.1.22
    options: [pci] [cardbus] [pm]
    PCI: Assigned IRQ 9 for device 00:0a.0
    PCI: Found IRQ 10 for device 00:0a.1
    IRQ routing conflict for 00:07.5, have irq 5, want irq 10
    IRQ routing conflict for 00:07.6, have irq 5, want irq 10
    PCI: Sharing IRQ 10 with 00:10.0
    Yenta IRQ list 0808, PCI irq9
    Socket status: 30000006
    Yenta IRQ list 0808, PCI irq10
    Socket status: 30000006
    cs: IO port probe 0x0c00-0x0cff: clean.
    cs: IO port probe 0x0100-0x04ff: excluding 0x378-0x37f
    0x4d0-0x4d7
    cs: IO port probe 0x0a00-0x0aff: clean.
    /dev/vmmon: Module vmmon: registered with major=10 minor=165
    tag=$Name: build-1790 $
    /dev/vmmon: Module vmmon: initialized
    parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
    parport_pc: Via 686A parallel port: io=0x378
    /dev/vmnet: open called by PID 1017 (vmnet-bridge)
    /dev/vmnet: hub 0 does not exist, allocating memory.
    /dev/vmnet: port on hub 0 successfully opened
    bridge-eth0: up
    bridge-eth0: attached
    /dev/vmnet: open called by PID 1035 (vmnet-natd)
    /dev/vmnet: hub 8 does not exist, allocating memory.
    /dev/vmnet: port on hub 8 successfully opened
    /dev/vmnet: open called by PID 1420 (vmnet-netifup)
    /dev/vmnet: port on hub 8 successfully opened
    /dev/vmnet: open called by PID 1442 (vmnet-dhcpd)
    /dev/vmnet: port on hub 8 successfully opened
    init_via82cxxx_audio: ENTER
    via_init_one: ENTER
    Via 686a audio driver 1.9.1
    PCI: Found IRQ 10 for device 00:07.5
    IRQ routing conflict for 00:07.5, have irq 5, want irq 10
    IRQ routing conflict for 00:07.6, have irq 5, want irq 10
    PCI: Sharing IRQ 10 with 00:0a.1
    PCI: Sharing IRQ 10 with 00:10.0
    via_ac97_init: ENTER
    via_ac97_reset: ENTER
    via_ac97_reset: PCI config: 05 C1 00 1C 40 01
    via_ac97_reset: regs==00 00 00 00000000 00000000 000A0006
    00000000
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_reset: EXIT, returning 0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_wait_idle: ENTER/EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x2000410, retval=0x410
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x23c0000, retval=0x0
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x27c4144, retval=0x4144
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x27e5348, retval=0x5348
    ac97_codec: AC97 Audio codec, id: 0x4144:0x5348 (Analog
    Devices AD1881A)
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x2000410, retval=0x410
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x2022020, retval=0x2020
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22a0001, retval=0x1
    via_ac97_init: EXIT, returning 0
    via_dsp_init: ENTER
    via_stop_everything: ENTER
    via_stop_everything: EXIT
    via_dsp_init: EXIT, returning 0
    via_interrupt_init: ENTER
    via_interrupt_init: EXIT, returning 0
    via82cxxx: board #1 at 0x1000, IRQ 5
    via_init_one: EXIT, returning 0
    init_via82cxxx_audio: EXIT, returning 0
    via_mixer_open: ENTER
    via_mixer_open: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_open: ENTER
    via_mixer_open: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_mixer_ioctl: EXIT, returning 0
    via_mixer_ioctl: ENTER
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x21a0000, retval=0x0
    via_mixer_ioctl: EXIT, returning 0
    via_dsp_open: ENTER, minor=3, file->f_mode=0x2
    via_dsp_open: dev_dsp = 3, minor = 3, assn = 0
    via_dsp_open: file->f_mode == 0x2
    via_chan_init: ENTER
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0x30, reset=yes
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0x87, reg = 0x87
    via_chan_init: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0x87, reset=yes
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0x87, reg = 0x87
    via_set_rate: ENTER, rate = 8000
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226000f, retval=0xf
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226020d, retval=0x20d
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22c1f40, retval=0x1f40
    via_set_rate: EXIT, returning rate 8000 Hz
    via_dsp_open: EXIT, returning 0
    via_dsp_ioctl: DSP_SETFRAGMENT, val==16777224
    via_chan_set_buffering: ENTER
    via_chan_set_buffering: using user values 256 256
    via_chan_set_buffering: EXIT
    via_dsp_ioctl: SNDCTL_DSP_SETFRAGMENT (fragshift==0x0008
    (8), maxfrags==0x0100 (256))
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_SETFMT, val==16
    via_chan_set_fmt: ENTER, val=AFMT_S16_LE
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0xA7, reset=no
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0xA7, reg = 0xA7
    via_chan_set_fmt: EXIT
    via_dsp_ioctl: SETFMT EXIT, returning 16
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_GETFMTS, EXIT, returning AFMT U8|S16_LE
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_STEREO, val==1
    via_chan_set_stereo: ENTER, channels = 2
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_chan_pcm_fmt: ENTER, pcm_fmt=0xB7, reset=no
    via_chan_pcm_fmt: EXIT, pcm_fmt = 0xB7, reg = 0xB7
    via_chan_set_stereo: EXIT, returning 2
    via_dsp_ioctl: STEREO EXIT, returning 1
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_SPEED, val==44100
    via_chan_set_speed: ENTER, requested rate = 44100
    via_chan_clear: ENTER
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_chan_clear: EXIT
    via_set_rate: ENTER, rate = 44100
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226000d, retval=0xd
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x226020d, retval=0x20d
    via_ac97_write_reg: ENTER
    via_ac97_write_reg: EXIT
    via_ac97_read_reg: ENTER
    via_ac97_read_reg: EXIT, success, data=0x22cac44, retval=0xac44
    via_set_rate: EXIT, returning rate 44100 Hz
    via_chan_set_speed: EXIT, returning 44100
    via_dsp_ioctl: SPEED EXIT, returning 44100
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_POST
    via_chan_maybe_start: starting channel PCM-OUT
    via_dsp_ioctl: EXIT, returning 0
    via_dsp_ioctl: DSP_POST
    via_dsp_ioctl: EXIT, returning 0
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_interrupt: intr, status32 == 0x00001111
    via_dsp_release: ENTER
    via_dsp_drain_playback: ENTER, nonblock = 0
    via_dsp_drain_playback: EXIT, returning 0
    via_chan_free: ENTER
    via_chan_free: EXIT
    via_chan_buffer_free: ENTER
    via_ac97_wait_idle: ENTER/EXIT
    via_chan_buffer_free: EXIT
    via_dsp_release: EXIT, returning 0

     
  • Jeff Garzik

    Jeff Garzik - 2002-08-09

    Logged In: YES
    user_id=17443

    Due to large length of time where Via hardware and engineering
    time were unavailable, the Linux kernel Via audio driver is no
    longer supported by me (Jeff Garzik). My apologies in advance
    for any inconveniences this causes.

    Users are recommended to try the ALSA Via audio drivers at
    http://www.alsa-project.org/

     
  • Jeff Garzik

    Jeff Garzik - 2002-08-09
    • status: open --> closed-wont-fix
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks